# Upload dispute file (v3) (deprecated)

{% admonition type="warning" %}
This endpoint is deprecated. Use the v4 upload dispute file endpoint instead.
{% /admonition %}

Submit a file for disputes.

This API is not available for sandbox testing.

Use the fileId in the response for the dispute submission.

NB: A dispute referencing the returned fileId must be submitted no later than two hours after the file submission, otherwise the file will expire and must be re-submitted.

Endpoint: POST /v3/spend/profiles/{profileId}/dispute-form/file
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)
    Your profile ID.
    Example: 14547572

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
    Example: "f47ac10b-58cc-4372-a567-0e02b2c3d479"

## Request fields (multipart/form-data):

  - `receipt` (string)
    The file to upload.


